---
updatedAt: 2025-06-05T22:00:08.000Z
agentTools:
  projectIndex: https://sportnginsite.readme.io/llms.txt
---

# Page Elements Update

The Update method accepts a single Page Element (see attributes above) and updates the matching record in Sport Ngin.  This method requires `page_element` and `element`.

###Parameters

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api-settings",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.sportngin.com"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/page_elements/{id}": {
      "post": {
        "summary": "Page Elements Update",
        "description": "The Update method accepts a single Page Element (see attributes above) and updates the matching record in Sport Ngin.  This method requires `page_element` and `element`.\n\n###Parameters",
        "operationId": "page-elements-update",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Id of the element to update",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"id\": 312776211,\n    \"element_type\": \"TextBlock\",\n    \"element_id\": 5859973,\n    \"position\": 1,\n    \"updated_on\": \"2016-04-28T10:05:45-07:00\",\n    \"created_on\": \"2016-04-28T10:05:45-07:00\",\n    \"element_locked\": false,\n    \"content_locked\": false,\n    \"layout_column_id\": 26627518,\n    \"mirror_enabled\": null,\n    \"custom_css_class\": null,\n    \"question_element_dependency_type\": \"any\",\n    \"element\": {\n        \"id\": 5859973,\n        \"subtitle\": null,\n        \"content\": \"Come see the Elf Owls, it's cold outside!\",\n        \"updated_on\": \"2016-04-28T10:14:29-07:00\",\n        \"created_on\": \"2016-04-28T10:05:45-07:00\",\n        \"display_size\": null,\n        \"alignment\": null,\n        \"url\": null,\n        \"protocol\": null,\n        \"has_url\": false,\n        \"action\": null,\n        \"image_id\": null,\n        \"created_without_fck\": false,\n        \"subtitle_alignment\": \"left\",\n        \"cutline\": null,\n        \"thumbnails\": {}\n    }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer",
                      "example": 312776211,
                      "default": 0
                    },
                    "element_type": {
                      "type": "string",
                      "example": "TextBlock"
                    },
                    "element_id": {
                      "type": "integer",
                      "example": 5859973,
                      "default": 0
                    },
                    "position": {
                      "type": "integer",
                      "example": 1,
                      "default": 0
                    },
                    "updated_on": {
                      "type": "string",
                      "example": "2016-04-28T10:05:45-07:00"
                    },
                    "created_on": {
                      "type": "string",
                      "example": "2016-04-28T10:05:45-07:00"
                    },
                    "element_locked": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "content_locked": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "layout_column_id": {
                      "type": "integer",
                      "example": 26627518,
                      "default": 0
                    },
                    "mirror_enabled": {},
                    "custom_css_class": {},
                    "question_element_dependency_type": {
                      "type": "string",
                      "example": "any"
                    },
                    "element": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "integer",
                          "example": 5859973,
                          "default": 0
                        },
                        "subtitle": {},
                        "content": {
                          "type": "string",
                          "example": "Come see the Elf Owls, it's cold outside!"
                        },
                        "updated_on": {
                          "type": "string",
                          "example": "2016-04-28T10:14:29-07:00"
                        },
                        "created_on": {
                          "type": "string",
                          "example": "2016-04-28T10:05:45-07:00"
                        },
                        "display_size": {},
                        "alignment": {},
                        "url": {},
                        "protocol": {},
                        "has_url": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        },
                        "action": {},
                        "image_id": {},
                        "created_without_fck": {
                          "type": "boolean",
                          "example": false,
                          "default": true
                        },
                        "subtitle_alignment": {
                          "type": "string",
                          "example": "left"
                        },
                        "cutline": {},
                        "thumbnails": {
                          "type": "object",
                          "properties": {}
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -X PUT -H \"Authorization: Bearer ACCESS_TOKEN\" -H \"Accept: application/json\" -H \"NGIN-API-VERSION: 0.1\" -H \"Content-Type: application/json\" -d '{\n    \"page_element\":\n    {\n        \"layout_column_id\": 26627518,\n        \"page_element_type\": \"TextBlock\",\n        \"element\":\n        {\n            \"content\": \"Come see the Elf Owls, it's cold outside!\"\n        }\n    }\n}' \"https://api.sportngin.com/page_elements/312776211\"",
              "name": "cURL - TextBlock Page Element"
            },
            {
              "language": "ruby",
              "code": "require 'uri'\nrequire 'net/http'\n\nurl = URI(\"https://api.sportngin.com/page_elements/312776211\")\n\nhttp = Net::HTTP.new(url.host, url.port)\nhttp.use_ssl = true\nhttp.verify_mode = OpenSSL::SSL::VERIFY_NONE\n\nrequest = Net::HTTP::Put.new(url)\nrequest[\"authorization\"] = 'Bearer ACCESS_TOKEN'\nrequest[\"accept\"] = 'application/json'\nrequest[\"ngin-api-version\"] = '0.1'\nrequest[\"content-type\"] = 'application/json'\nrequest.body = \"{\\n    \\\"page_element\\\":\\n    {\\n        \\\"layout_column_id\\\": 26627518,\\n        \\\"page_element_type\\\": \\\"TextBlock\\\",\\n        \\\"element\\\":\\n        {\\n            \\\"content\\\": \\\"Come see the Snow Owls, it's cold outside!\\\"\\n        }\\n    }\\n}\"\n\nresponse = http.request(request)\nputs response.read_body",
              "name": "Ruby - TextBlock Page Element"
            },
            {
              "language": "java",
              "code": "OkHttpClient client = new OkHttpClient();\n\nMediaType mediaType = MediaType.parse(\"application/json\");\nRequestBody body = RequestBody.create(mediaType, \"{\\n    \\\"page_element\\\":\\n    {\\n        \\\"layout_column_id\\\": 26627518,\\n        \\\"page_element_type\\\": \\\"TextBlock\\\",\\n        \\\"element\\\":\\n        {\\n            \\\"content\\\": \\\"Come see the Snow Owls, it's cold outside!\\\"\\n        }\\n    }\\n}\");\nRequest request = new Request.Builder()\n  .url(\"https://api.sportngin.com/page_elements/312776211\")\n  .put(body)\n  .addHeader(\"authorization\", \"Bearer ACCESS_TOKEN\")\n  .addHeader(\"accept\", \"application/json\")\n  .addHeader(\"ngin-api-version\", \"0.1\")\n  .addHeader(\"content-type\", \"application/json\")\n  .build();\n\nResponse response = client.newCall(request).execute();",
              "name": "Java - TextBlock Page Element"
            }
          ],
          "samples-languages": [
            "curl",
            "ruby",
            "java"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```